package com.jsowell.common.enums.parkplatform;

/**
 * 车位锁状态
 */
public enum ParkingLockStatusEnum {
    NOT_DEPLOYED("00", "未到位状态"),
    LOCKED_RAISED("55", "升锁到位状态"),
    LOCKED_LOWERED("FF", "降锁到位状态"),
    ;

    private String value;
    private String label;

    ParkingLockStatusEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }

    public static String getLabelByValue(String value) {
        for (ParkingLockStatusEnum entity : ParkingLockStatusEnum.values()) {
            if (entity.getValue().equals(value)) {
                return entity.getLabel();
            }
        }
        return "";
    }
}
